SecT163K1Point (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.ec.custom.sec

## Class SecT163K1Point

- java.lang.Object
- - org.bouncycastle.math.ec.ECPoint
  - - org.bouncycastle.math.ec.ECPoint.AbstractF2m
    - - org.bouncycastle.math.ec.custom.sec.SecT163K1Point

-     public class SecT163K1Point
      extends ECPoint.AbstractF2m

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECPoint

      `ECPoint.AbstractF2m, ECPoint.AbstractFp, ECPoint.F2m, ECPoint.Fp`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.math.ec.ECPoint

      `curve, EMPTY_ZS, preCompTable, x, y, zs`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint` | `add(ECPoint b)`
    `protected ECPoint` | `detach()`
    `protected boolean` | `getCompressionYTilde()`
    `ECFieldElement` | `getYCoord()` Returns the y-coordinate.
    `ECPoint` | `negate()`
    `ECPoint` | `twice()`
    `ECPoint` | `twicePlus(ECPoint b)`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint.AbstractF2m

      `satisfiesCurveEquation, satisfiesOrder, scaleX, scaleXNegateY, scaleY, scaleYNegateX, subtract, tau, tauPow`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint

      `checkNormalized, createScaledPoint, encodeTo, equals, equals, getAffineXCoord, getAffineYCoord, getCurve, getCurveCoordinateSystem, getDetachedPoint, getEncoded, getEncodedLength, getInitialZCoords, getRawXCoord, getRawYCoord, getRawZCoords, getXCoord, getZCoord, getZCoords, hashCode, isInfinity, isNormalized, isValid, multiply, normalize, threeTimes, timesPow2, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### detach

          protected ECPoint detach()

      Specified by:
        `detach` in class `ECPoint`

    - #### getYCoord

          public ECFieldElement getYCoord()

      Description copied from class: `ECPoint`
      Returns the y-coordinate. Caution: depending on the curve's coordinate system, this may not be the same value as in an affine coordinate system; use normalize() to get a point where the coordinates have their affine values, or use getAffineYCoord() if you expect the point to already have been normalized.
      Overrides:
        `getYCoord` in class `ECPoint`
      Returns:
        the y-coordinate of this point

    - #### getCompressionYTilde

          protected boolean getCompressionYTilde()

      Specified by:
        `getCompressionYTilde` in class `ECPoint`

    - #### add

          public ECPoint add(ECPoint b)

      Specified by:
        `add` in class `ECPoint`

    - #### twice

          public ECPoint twice()

      Specified by:
        `twice` in class `ECPoint`

    - #### twicePlus

          public ECPoint twicePlus(ECPoint b)

      Overrides:
        `twicePlus` in class `ECPoint`

    - #### negate

          public ECPoint negate()

      Specified by:
        `negate` in class `ECPoint`